;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          xptest.asd
;;;; Purpose:       ASDF definition file for Xptest
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Sep 2002
;;;;
;;;; $Id: xptest.asd,v 1.1 2002/10/22 18:31:30 kevin Exp $
;;;; *************************************************************************

(in-package :asdf)

(defsystem :xptest
  :name "cl-xptest"
  :author "Craig Brozensky"
  :version "2002.10.21"
  :maintainer "Kevin M. Rosenberg <kmr@debian.org>"
  :licence "Public domain"
  :description "Extreme Programming Testing Suite"
  :long-description "The XPTEST package is toolkit for building test suites, very much inspired by the test frameworks that the Extreme Programming crew made available for Smalltalk an other languages."
  
  :perform (load-op :after (op xptest)
	    (pushnew :xptest cl:*features*))
  
  :components
  ((:file "package")
   (:file "xptestsuite" :depends-on ("package"))))

(when (ignore-errors (find-class 'load-compiled-op))
  (defmethod perform :after ((op load-compiled-op)
			     (c (eql (find-system :xptest))))
    (pushnew :xptest cl:*features*)))

